:mod:`cjklib.util` --- Utilities
================================


.. automodule:: cjklib.util


Functions
----------

.. autofunction:: cachedproperty

.. autofunction:: cross

.. autofunction:: crossDict

.. autofunction:: deprecated

.. autofunction:: fromCodepoint

.. autofunction:: getCharacterList

.. autofunction:: getConfigSettings

.. autofunction:: getDataPath

.. autofunction:: getSearchPaths

.. autofunction:: istitlecase

.. autofunction:: isValidSurrogate

.. autofunction:: locateProjectFile

.. autofunction:: titlecase

.. autofunction:: toCodepoint


Classes
--------

.. autoclass:: CharacterRangeIterator
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CollationString
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CollationText
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: DictMixin
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ExtendedOption
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: LazyDict
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: OrderedDict
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: UnicodeCSVFileIterator
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: _CollationMixin
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: cachedmethod
   :show-inheritance:
   :members:
   :undoc-members:
   


